Changeset 1306


Ignore:
Timestamp:
Aug 25, 2009, 8:18:12 AM (13 years ago)
Author:
mitchb
Message:
Upgrade Apache to 2.2.13; don't patch in SNI support anymore
And we thought the day would never come!
Location:
trunk/server
Files:
1 deleted
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/server/fedora/specs/httpd.spec.patch

    r1288 r1306  
    1 --- httpd.spec.orig     2009-03-17 09:12:22.000000000 -0400
    2 +++ httpd.spec  2009-06-03 05:05:30.000000000 -0400
     1--- httpd.spec.orig     2009-08-25 07:12:16.000000000 -0400
     2+++ httpd.spec  2009-08-25 07:15:12.000000000 -0400
    33@@ -7,7 +7,7 @@
    44 Summary: Apache HTTP Server
    55 Name: httpd
    6  Version: 2.2.11
    7 -Release: 8
    8 +Release: 8.scripts.%{scriptsversion}
     6 Version: 2.2.13
     7-Release: 1%{?dist}
     8+Release: 1.scripts.%{scriptsversion}%{?dist}
    99 URL: http://httpd.apache.org/
    1010 Source0: http://www.apache.org/dist/httpd/httpd-%{version}.tar.gz
    1111 Source1: index.html
    12 @@ -56,6 +56,12 @@
     12@@ -55,6 +55,11 @@
    1313 Conflicts: pcre < 4.0
    1414 Requires: httpd-tools = %{version}-%{release}, apr-util-ldap
     
    1616+Provides: scripts-httpd
    1717+Patch1000: httpd-suexec-scripts.patch
    18 +Patch1001: httpd-2.2.x-sni.patch
    1918+Patch1003: httpd-2.2.x-mod_status-security.patch
    2019+Patch1004: httpd-2.2.x-304.patch
     
    2322 The Apache HTTP Server is a powerful, efficient, and extensible
    2423 web server.
    25 @@ -102,6 +108,7 @@
     24@@ -101,6 +106,7 @@
    2625 BuildRequires: openssl-devel, distcache-devel
    2726 Requires(post): openssl >= 0.9.7f-4, /bin/cat
     
    3130 
    3231 %description -n mod_ssl
    33 @@ -130,6 +137,11 @@
     32@@ -128,6 +134,10 @@
    3433 # Patch in vendor/release string
    3534 sed "s/@RELEASE@/%{vstring}/" < %{PATCH20} | patch -p1
    3635 
    3736+%patch1000 -p1 -b .scripts
    38 +%patch1001 -p1 -b .sni
    3937+%patch1003 -p1 -b .permitstatus
    4038+%patch1004 -p1 -b .scripts-304
     
    4341 vmmn=`echo MODULE_MAGIC_NUMBER_MAJOR | cpp -include include/ap_mmn.h | sed -n '/^2/p'`
    4442 if test "x${vmmn}" != "x%{mmn}"; then
    45 @@ -178,10 +190,12 @@
     43@@ -176,10 +186,12 @@
    4644         --with-apr=%{_prefix} --with-apr-util=%{_prefix} \
    4745        --enable-suexec --with-suexec \
Note: See TracChangeset for help on using the changeset viewer.